<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="FakturPenjualan" pageWidth="612" pageHeight="792" columnWidth="572" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="c5adcf42-9cef-4b38-b387-c770fcd6e527">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<subDataset name="Item" uuid="6e3ec4bb-7d8b-4a67-9c90-3689e277235b">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
		<parameter name="invoicId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[SELECT tbinvoiceitem.unitprice,
	tbinvoiceitem.amount,
	tbinvoiceitem.quantity,
	tbinvoiceitem.taxrate,
	tbinvoiceitem.id,
	tbinvoiceitem.weight,
	tbproduct.name,
	tbinvoiceitem.alternative_name,
	tbproduct.unit_id,
	tbinvoiceitem.kg,
	tbinvoiceitem.ctn,
	tbproduct.sale_price,
	tbproduct.is_raw_material,
	tbmasterunit.name AS unitmeanstrument,
	tbproductweight.name AS name_weight,
	tbpackagingtype.id AS idpacking
FROM tbinvoice
	inner join tbinvoiceitem ON 
	 tbinvoice.id = tbinvoiceitem.invoice 
	inner join tbproduct ON 
	 tbproduct.id = tbinvoiceitem.product 
	inner join tbmasterunit ON 
	 tbproduct.unit_id = tbmasterunit.id 
	  inner join tbproductweight ON
	 tbproduct.product_weight_id = tbproductweight.id
	 left join tbpackagingtype ON tbpackagingtype.id = tbproduct.packaging_type_id
WHERE 
	 tbinvoice.id = $P{invoicId}
	 ORDER BY tbinvoiceitem.id]]>
		</queryString>
		<field name="unitprice" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="unitprice"/>
			<property name="com.jaspersoft.studio.field.label" value="unitprice"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="amount" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="amount"/>
			<property name="com.jaspersoft.studio.field.label" value="amount"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="quantity" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.name" value="quantity"/>
			<property name="com.jaspersoft.studio.field.label" value="quantity"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="taxrate" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="taxrate"/>
			<property name="com.jaspersoft.studio.field.label" value="taxrate"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="id" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="id"/>
			<property name="com.jaspersoft.studio.field.label" value="id"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="weight" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="weight"/>
			<property name="com.jaspersoft.studio.field.label" value="weight"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="alternative_name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="alternative_name"/>
			<property name="com.jaspersoft.studio.field.label" value="alternative_name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="unit_id" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="unit_id"/>
			<property name="com.jaspersoft.studio.field.label" value="unit_id"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="kg" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="kg"/>
			<property name="com.jaspersoft.studio.field.label" value="kg"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="ctn" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="ctn"/>
			<property name="com.jaspersoft.studio.field.label" value="ctn"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="sale_price" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="sale_price"/>
			<property name="com.jaspersoft.studio.field.label" value="sale_price"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="is_raw_material" class="java.lang.Boolean">
			<property name="com.jaspersoft.studio.field.name" value="is_raw_material"/>
			<property name="com.jaspersoft.studio.field.label" value="is_raw_material"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		</field>
		<field name="unitmeanstrument" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="unitmeanstrument"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterunit"/>
		</field>
		<field name="name_weight" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name_weight"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproductweight"/>
		</field>
		<field name="idpacking" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="id"/>
			<property name="com.jaspersoft.studio.field.label" value="idpacking"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbpackagingtype"/>
		</field>
		<group name="quantity">
			<groupExpression><![CDATA[$F{quantity}]]></groupExpression>
		</group>
	</subDataset>
	<subDataset name="TotalPPn" uuid="c7503ad1-0799-4d80-8e3d-681835727643">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<parameter name="invoicId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[select gst from tbinvoice where tbinvoice.id= $P{invoicId}]]>
		</queryString>
		<field name="gst" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="gst"/>
			<property name="com.jaspersoft.studio.field.label" value="gst"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="ppn" uuid="9a3e6ad1-f046-41a8-b701-f06d58881c15">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<queryString language="SQL">
			<![CDATA[select value from tbsysprop where name = "default.taxpercent"]]>
		</queryString>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<parameter name="invoiceId" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT tbinvoice.invoicedate,
	tbinvoice.reference,
	tbinvoice.monthly_sequence,
	tbinvoice.description,
	tbinvoice.subtotal,
	tbinvoice.id,
	tbinvoice.total,
	tbinvoice.invoicecode,
	tbinvoice.remark,
	tbinvoice.delivery_charge,
	tbmasterorganisation.id AS Organisation_id,
	tbmasterorganisation.name,
	tbmasterorganisation.address_line_1,
	tbmasterorganisation.address_line_2,
	tbmasterorganisation.phone,
	tbmasterorganisation.other_pic_name,
	tbmasterorganisation.fax,
	bank_name,
	bank_acct_number,
	bank_acct_holder,
	tbinvoice.discount,
	tbcustomer.enable_tax,
	tbcustomer.name AS customername,
	tbcustomer.company_name AS customercompanyname,
	tbcustomer.deliveryaddress as deliveryaddress
FROM tbinvoice
	inner join tbcustomer ON 
	 tbinvoice.customer = tbcustomer.id 
	inner join tbmasterorganisation ON 
	 tbcustomer.organisation_id = tbmasterorganisation.id 
WHERE 
	 tbinvoice.id = $P{invoiceId}]]>
	</queryString>
	<field name="invoicedate" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="reference" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="reference"/>
		<property name="com.jaspersoft.studio.field.label" value="reference"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="monthly_sequence" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="monthly_sequence"/>
		<property name="com.jaspersoft.studio.field.label" value="monthly_sequence"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="subtotal" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.label" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="total" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="total"/>
		<property name="com.jaspersoft.studio.field.label" value="total"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="invoicecode" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="remark" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="remark"/>
		<property name="com.jaspersoft.studio.field.label" value="remark"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="delivery_charge" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="delivery_charge"/>
		<property name="com.jaspersoft.studio.field.label" value="delivery_charge"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="Organisation_id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="Organisation_id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
	</field>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_1" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_2" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="phone" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="phone"/>
		<property name="com.jaspersoft.studio.field.label" value="phone"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="other_pic_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="other_pic_name"/>
		<property name="com.jaspersoft.studio.field.label" value="other_pic_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
	</field>
	<field name="fax" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="fax"/>
		<property name="com.jaspersoft.studio.field.label" value="fax"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_number" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_holder" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="discount" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="discount"/>
		<property name="com.jaspersoft.studio.field.label" value="discount"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="enable_tax" class="java.lang.Boolean">
		<property name="com.jaspersoft.studio.field.name" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.label" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="customername" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="customername"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="customercompanyname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_name"/>
		<property name="com.jaspersoft.studio.field.label" value="customercompanyname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="deliveryaddress" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="deliveryaddress"/>
		<property name="com.jaspersoft.studio.field.label" value="deliveryaddress"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<variable name="subtotal_SUM" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{subtotal}]]></variableExpression>
	</variable>
	<variable name="isPPn" class="java.lang.Boolean">
		<variableExpression><![CDATA[$F{enable_tax}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="114" splitType="Stretch">
			<line>
				<reportElement positionType="Float" x="-10" y="32" width="595" height="1" uuid="f5094c81-a52d-4162-a227-ea2abf7f8f97">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
				</reportElement>
			</line>
			<textField>
				<reportElement x="-11" y="-4" width="592" height="18" uuid="9dfe22c7-fe6e-4d77-a6fc-c9c98ecc0934"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="11" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["DELIKATESSA"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="-14" y="14" width="598" height="16" uuid="288643db-eed7-4532-b051-0790bc624f59"/>
				<textElement textAlignment="Center">
					<font fontName="DejaVu Sans" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{address_line_1}.toUpperCase() + "  Tlp " + $F{phone} + " / " + $F{fax}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="190" y="35" width="183" height="18" uuid="2a970982-1ed4-4d18-8e69-ade0ed97457b"/>
				<textElement textAlignment="Center">
					<font fontName="SansSerif" size="13" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[Nota Kontan]]></text>
			</staticText>
			<textField>
				<reportElement x="370" y="68" width="220" height="15" uuid="71d477d7-6be7-4965-9611-f932ee98c42a">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{remark} == null || $F{remark}.equals("") ? $F{customername} : $F{remark}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="91" y="91" width="116" height="16" uuid="acf6d0ae-fbe9-4235-b2d6-c1252bd1d8df"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{invoicecode}.toUpperCase()]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MM-YYYY">
				<reportElement x="91" y="73" width="116" height="16" uuid="cb24beaa-3406-45a6-9d90-bc0e7e41738b"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("dd MMMM yyyy", new java.util.Locale("id")).format($F{invoicedate})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="84" y="91" width="7" height="16" uuid="08311c35-ba06-4aae-853e-ad1c51a39f5e">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="-10" y="91" width="94" height="16" uuid="06dfbe12-38a7-4741-a403-e7c071d44046"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[No. Faktur]]></text>
			</staticText>
			<staticText>
				<reportElement x="370" y="54" width="49" height="14" uuid="3ca29da9-c62d-4826-a281-eeea9f7b68b8"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Kepada :]]></text>
			</staticText>
			<textField>
				<reportElement x="370" y="84" width="221" height="30" uuid="9a01ac71-2a55-4b70-a873-2d76e6e93810"/>
				<textElement>
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{deliveryaddress}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="-10" y="73" width="94" height="16" uuid="e7c30805-0340-4589-af69-f567569840bb"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal Faktur]]></text>
			</staticText>
			<staticText>
				<reportElement x="84" y="73" width="7" height="16" uuid="0dad9956-bc07-49ca-8693-3d573b0e25ff">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="530">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<textField>
				<reportElement x="-11" y="5" width="24" height="20" uuid="1b0758cb-e920-475a-bcf3-4b5f1f3efd1b"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["No."]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="13" y="5" width="277" height="20" uuid="dd413e47-3ed0-48ed-9a23-9ff1503921fd"/>
				<box>
					<topPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Nama Barang"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="290" y="5" width="60" height="20" uuid="7f7d021c-fa7a-4685-aa16-2c0ad2fda849"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Kemasan"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="350" y="5" width="58" height="20" uuid="01e09385-606f-47b5-962a-7db600aaf916"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Berat"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="408" y="5" width="79" height="20" uuid="b1976508-1c32-480e-a9d8-d4fa76084f27"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Harga Satuan"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="487" y="5" width="99" height="20" uuid="973cf14b-dff3-4763-a459-431b97d6c0f7"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Jumlah"]]></textFieldExpression>
			</textField>
			<componentElement>
				<reportElement x="-9" y="27" width="22" height="15" uuid="230be750-6977-42d8-b9a3-529cc3317ff6"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="728cdc5c-a44f-4464-9efa-81051801ecf4">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="22">
						<textField>
							<reportElement x="0" y="0" width="22" height="15" uuid="302808fa-2a23-4a0a-a5d9-b37e9b6aa8c3"/>
							<box topPadding="0" leftPadding="0"/>
							<textElement textAlignment="Center" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$V{COLUMN_COUNT}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="14" y="27" width="276" height="15" uuid="978f4fca-82e1-45fc-9982-8f5e770d2255"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="6248b659-b335-442b-8b6c-38c762cfec15">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="276">
						<textField>
							<reportElement x="0" y="0" width="276" height="15" uuid="7af54a76-6860-4fea-a3db-99f3bd706379"/>
							<box topPadding="0" leftPadding="2"/>
							<textElement verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{alternative_name} !=null ? $F{is_raw_material} == true ? $F{alternative_name}.replace("[", "").replace("]", "") : $F{alternative_name}.replace("[PACK]", "").replace("KG", ""): $F{name}.toUpperCase()]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="409" y="27" width="77" height="15" uuid="3ef92a00-672f-423a-9d36-a6d1de3ba621"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="c0a7a172-199f-4359-9ab0-e6b04d81cfb7">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="77">
						<textField pattern="#,##0.###;(#,##0.###-)">
							<reportElement x="0" y="0" width="77" height="15" uuid="ed57aa41-b968-4766-8653-5983d90c6586"/>
							<box rightPadding="4"/>
							<textElement textAlignment="Right"/>
							<textFieldExpression><![CDATA[$F{unitprice}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="351" y="27" width="57" height="15" uuid="1bf188ec-c244-4502-800b-ca2021a31b8e"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="d49dd8b7-428b-4f15-a752-14006fbe7c96">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="57">
						<textField>
							<reportElement x="0" y="0" width="57" height="15" uuid="a8dcc21d-62a2-4238-816a-a923d61109d9"/>
							<box rightPadding="3"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{kg}.equals("") || $F{kg} == null ? $F{is_raw_material} == true ? new DecimalFormat("#,##0.00").format($F{weight}) + "  KG": $F{weight}.divide(BigDecimal.valueOf($F{quantity})).compareTo(BigDecimal.valueOf(0.9999)) < 0.9999 ?  $F{kg} : new DecimalFormat("#,##0").format($F{weight}) + " KG" : $F{kg}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="291" y="27" width="59" height="15" uuid="6e73f9bc-ab62-47ac-8566-5d952fe4c514"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="0ab4400b-d7f4-40a7-ac5f-7ac3b1eca4d0">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="59">
						<textField pattern="#,##0.###;(#,##0.###-)">
							<reportElement x="0" y="0" width="26" height="15" uuid="d7058361-3c36-43a3-9171-9e5371e8371b"/>
							<box rightPadding="3"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{ctn} == null || $F{ctn}.isEmpty() ? $F{quantity} :  $F{ctn}]]></textFieldExpression>
						</textField>
						<textField>
							<reportElement x="26" y="0" width="33" height="15" uuid="a4d051ca-24dd-43c1-9ba4-ceb16915161f"/>
							<box leftPadding="0"/>
							<textElement textAlignment="Left" verticalAlignment="Middle">
								<font size="10"/>
							</textElement>
							<textFieldExpression><![CDATA[$F{ctn} == null || $F{ctn} .isEmpty() ? $F{unitmeanstrument}.equals("PACK") ?  "PACK" :  $F{unitmeanstrument}.equals("WHOLE") ? "PCS" : $F{unitmeanstrument} : ""]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="488" y="27" width="95" height="15" uuid="27b164ba-9d15-455a-9a7a-1c23fd5b3bb6"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="e4aca782-6200-4fff-a50b-2571d850f623">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="15" width="95">
						<textField pattern="#,##0.###;(#,##0.###-)">
							<reportElement x="0" y="0" width="95" height="15" uuid="f0792df9-3bc6-4b15-b69f-38feccafebef"/>
							<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="4"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{amount}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<line>
				<reportElement x="487" y="25" width="1" height="476" uuid="8efdb33a-9d0f-4c01-9f0c-6202230b1d07"/>
			</line>
			<line>
				<reportElement x="586" y="25" width="1" height="505" uuid="d2d52b10-73ee-46ec-8e20-c8792e76b2ab"/>
			</line>
			<line>
				<reportElement x="-10" y="501" width="596" height="1" uuid="6fe8aade-c161-4faf-82df-1ed4d9c25edd"/>
			</line>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="462" y="508" width="112" height="15" uuid="e7a0cd1f-2645-4c52-8e2f-08a265db5a72">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{subtotal}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="428" y="508" width="34" height="15" uuid="18c63baf-7967-49c8-97e0-67954899f0d0">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Rp.]]></text>
			</staticText>
			<staticText>
				<reportElement x="330" y="508" width="86" height="15" uuid="ce07570d-c967-455c-af31-d1d93486c60d">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Grand Total]]></text>
			</staticText>
			<staticText>
				<reportElement x="416" y="508" width="12" height="15" uuid="efb16041-a3d9-41f5-8c8b-95e2e9b7afc8">
					<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<line>
				<reportElement x="-11" y="529" width="597" height="1" uuid="9bb0a267-0f0c-4fd1-99bd-b0a5de36f7c8"/>
			</line>
			<line>
				<reportElement x="408" y="25" width="1" height="476" uuid="663ceec4-11f6-4c44-a8b9-34ca63d92fbe"/>
			</line>
			<line>
				<reportElement x="350" y="25" width="1" height="476" uuid="d7a61ff2-76c8-4604-b818-dd69ca909da6"/>
			</line>
			<line>
				<reportElement x="290" y="25" width="1" height="476" uuid="bf391c8b-f7ba-48b1-a1c9-bbd6c41e0f92"/>
			</line>
			<line>
				<reportElement x="13" y="25" width="1" height="476" uuid="f3b01c4e-3db9-45ac-818a-763a699f305e"/>
			</line>
			<line>
				<reportElement x="-11" y="25" width="1" height="504" uuid="15041aa8-3c47-49bd-b86f-71891c0d01b7"/>
			</line>
		</band>
	</detail>
	<pageFooter>
		<band height="108">
			<textField>
				<reportElement x="436" y="5" width="144" height="15" uuid="d4647e25-23ed-4979-bce3-0c929d6fb664"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Hormat Kami"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="443" y="95" width="133" height="13" uuid="93285edd-a525-469b-9207-4751cec74d50">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{other_pic_name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="28" y="39" width="252" height="12" uuid="b928ef4d-c102-4500-8251-1a8c81da036b"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_acct_number}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="-9" y="52" width="37" height="12" uuid="718b391a-175d-4472-8f05-e6e7fa8f03d4">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Bank  :]]></text>
			</staticText>
			<staticText>
				<reportElement x="-11" y="11" width="305" height="14" uuid="13882855-1c97-46c5-870d-2c86642e93e5">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box topPadding="0" bottomPadding="0"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Pembayaran transfer wajib menggunakan rekening resmi sbb :]]></text>
			</staticText>
			<textField>
				<reportElement x="28" y="52" width="252" height="12" uuid="02c7057e-dac0-4735-8377-01bfcf139b06"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_name}.toUpperCase()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="-9" y="26" width="37" height="12" uuid="b6ad1a70-505d-442b-b7f1-3e9c20c0542e"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[A/n     :]]></text>
			</staticText>
			<staticText>
				<reportElement x="-9" y="39" width="37" height="12" uuid="08199254-328b-4a50-96bd-921be911ba2f"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[No      :]]></text>
			</staticText>
			<staticText>
				<reportElement x="-9" y="64" width="303" height="23" uuid="1b62a878-9af8-4b85-bdff-6a881035dfcc"/>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Pembayaran diluar rekening resmi bukan tanggung jawab kami]]></text>
			</staticText>
			<textField>
				<reportElement x="28" y="26" width="252" height="12" uuid="44b50ade-f6f1-42a6-b83c-39e458d3731f"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_acct_holder}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
</jasperReport>
